Package fr.gouv.vitam.storage.engine.server.distribution.impl

# Class OffersToCopyIn

java.lang.Object
fr.gouv.vitam.storage.engine.server.distribution.impl.OffersToCopyIn

public class OffersToCopyIn extends Object
manage list ok and ko for retry storage feature

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OffersToCopyIn(List<StorageOffer> storageOffers)`
  * create OffersToCopyIn lists

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changeStatus(String offerId, jakarta.ws.rs.core.Response.Status status)`
  Change the status of an offer id transfer
  `Map<String,jakarta.ws.rs.core.Response.Status>`
  `getGlobalOfferResult()`
  Get global result for storage distribution
  `List<String>`
  `getKoOffers()`
  Get the KO offers list
  `List<String>`
  `getOkOffers()`
  Get OK offers list
  `String`
  `getReadRequestID()`
  `boolean`
  `isReadOrderCompleted()`
  `void`
  `koListToOkList(String offerId)`
  Pass offerId fro KO offers list to OK offers list
  `void`
  `setReadOrderCompleted(boolean readOrderCompleted)`
  `void`
  `setReadRequestID(String readRequestID)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OffersToCopyIn

    public OffersToCopyIn(List<StorageOffer> storageOffers)
    * create OffersToCopyIn lists
    Parameters:
      `storageOffers` -

- ## Method Details

  - ### getOkOffers

    public List<String> getOkOffers()
    Get OK offers list
    Returns:
      the ok offers list

  - ### getKoOffers

    public List<String> getKoOffers()
    Get the KO offers list
    Returns:
      the KO offers list

  - ### getGlobalOfferResult

    public Map<String,jakarta.ws.rs.core.Response.Status> getGlobalOfferResult()
    Get global result for storage distribution
    Returns:
      the map of global transfer result

  - ### koListToOkList

    public void koListToOkList(String offerId)
    Pass offerId fro KO offers list to OK offers list
    Parameters:
      `offerId` - the offerId

  - ### changeStatus

    public void changeStatus(String offerId, jakarta.ws.rs.core.Response.Status status)
    Change the status of an offer id transfer
    Parameters:
      `offerId` - the offerId
      `status` - the response status to set

  - ### getReadRequestID

    public String getReadRequestID()

  - ### setReadRequestID

    public void setReadRequestID(String readRequestID)

  - ### setReadOrderCompleted

    public void setReadOrderCompleted(boolean readOrderCompleted)

  - ### isReadOrderCompleted

    public boolean isReadOrderCompleted()